Bug 1280143 - [RHEL-7.3] [Infiniband/HFI] update libfabric
[RHEL-7.3] [Infiniband/HFI] update libfabric
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libfabric (Show other bugs)
7.3
x86_64 Linux
high Severity high
: rc
: 7.3
Assigned To: Honggang LI
zguo
:
Depends On: 1273155
Blocks: 1313485 1096997 1273548 1274397 1281635
  Show dependency treegraph
 
Reported: 2015-11-10 22:08 EST by Honggang LI
Modified: 2016-11-03 23:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: libfabric-1.3.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 23:22:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fabtests.log (739.11 KB, text/plain)
2016-08-09 04:53 EDT, zguo
no flags Details

  None (edit)
Description Honggang LI 2015-11-10 22:08:47 EST
Description of problem:

Latest upstream is available from here:
http://downloads.openfabrics.org/downloads/ofi/

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jarod Wilson 2016-04-12 19:03:25 EDT
Updates to libusnic_verbs and usnic-tools are blocked on libfabric v1.3 as a build dependency. I've created a libfabric-1.3 package locally to build against, which worked just fine.
Comment 3 Honggang LI 2016-04-21 02:42:44 EDT
libfabric-1.3 should be compiled with psm2 support enabled, so it blocked by bz1273155.
Comment 4 Honggang LI 2016-05-05 01:03:10 EDT
Build libfabric-1.3.0-1.el7 without psm2 support. So, Jarod can continue his work. Will rebuild libfabric-1.3 to support HFI/PSM2 after intel complete psm2 fedora review request.
Comment 6 Honggang LI 2016-05-30 23:45:16 EDT
libfabric-1.3.0-2.el7 had been built to support PSM2.
Comment 7 zguo 2016-08-09 04:53:15 EDT
Ran fabtests:
1)
[root@rdma-qe-14 fabtests]$ rpm -qa | grep -E 'fabtests|libfabric|kernel-3|psm'
mvapich2-2.0-psm-devel-2.0a-5.el7.x86_64
libfabric-1.3.0-3.el7.x86_64
psmisc-22.20-11.el7.x86_64
fabtests-1.3.0-1.el7.x86_64
kernel-3.10.0-485.el7.x86_64
kernel-kernel-infiniband-fabtests-0.1-6.noarch
libpsm2-10.2.23-1.el7.x86_64
infinipath-psm-3.3-22_g4abbc60_open.2.el7.x86_64
mvapich2-2.0-psm-2.0a-5.el7.x86_64

2) Please check fabtests.log for the details. There are some error messages in the log, we may need open separate bugs.

Hello Honggang,
Could you help take a look firstly, real bugs or expected results or test cases issue?
Thanks.
Comment 8 zguo 2016-08-09 04:53 EDT
Created attachment 1189156 [details]
fabtests.log
Comment 9 Honggang LI 2016-08-09 05:23:44 EDT
Please file two bugs to trace those issues. One for fi_getinfo() issue and other for transmit() issue.
Comment 10 zguo 2016-08-09 05:58:00 EDT
Thanks Honggang.
Filed BZ1365446 and BZ1365447 to track fi_getinfo() and transmit() issue separately. Moving this bug to VERIFIED.
Comment 12 errata-xmlrpc 2016-11-03 23:22:04 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2309.html

Note You need to log in before you can comment on or make changes to this bug.